Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0010709 [DCSS] Implementables feature always 2016-10-01 16:18 2017-09-15 20:38
Reporter PleasingFungus View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status resolved   Product Branch 0.19 ancient branch
Summary 0010709: Fan of Gales should disperse clouds from under the player
Description At present, the Fan of Gales effect will move clouds, but never ones that are directly under the player using the item. This is silly, counterintuitive, and annoying; it should also move clouds under the player in a random direction. At time of writing, evoke.cc's wind_blast() is the relevant function.
Additional Information
Tags simple
Attached Files

- Relationships
has duplicate 0008420resolvedPleasingFungus Fan of gales does not blow away clouds you are standing in. 

-  Notes
(0031069)
Rast (reporter)
2016-10-01 17:27

I think the cloud under the player should be entirely dispersed (destroyed) instead of moving.
(0031070)
PleasingFungus (administrator)
2016-10-01 17:46

Sure, that'd be fine too.
(0031828)
johnstein (reporter)
2017-09-12 09:24

PR at: https://github.com/crawl/crawl/pull/612 [^]

I went with the 'fully disperse the cloud' option.
(0031835)
MarvinPA (developer)
2017-09-15 20:38

PR merged, thanks!

- Issue History
Date Modified Username Field Change
2016-10-01 16:18 PleasingFungus New Issue
2016-10-01 16:19 PleasingFungus Tag Attached: simple
2016-10-01 17:27 Rast Note Added: 0031069
2016-10-01 17:46 PleasingFungus Note Added: 0031070
2016-10-22 19:32 MarvinPA Relationship added related to 0008420
2016-10-22 19:34 PleasingFungus Relationship replaced has duplicate 0008420
2017-09-12 09:24 johnstein Note Added: 0031828
2017-09-15 20:38 MarvinPA Note Added: 0031835
2017-09-15 20:38 MarvinPA Status new => resolved
2017-09-15 20:38 MarvinPA Fixed in Branch => 0.21 development branch
2017-09-15 20:38 MarvinPA Resolution open => done
2017-09-15 20:38 MarvinPA Assigned To => MarvinPA


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker